package com.clx.performance.sqlProvider.collect;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.param.app.collect.PageCollectTruckLeaveParam;
import com.clx.performance.vo.app.collect.CollectTruckLeaveVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.jdbc.SQL;

public class CollectTruckLeaveSqlProvider {

    public String pageLeave(@Param("page") Page<CollectTruckLeaveVO> page, @Param("param") PageCollectTruckLeaveParam param) {
        return new SQL(){{
            SELECT(" id, user_no as userNo, name, mobile, truck_no as truckNo, " +
                    " date_format(begin_time, '%Y-%m-%d %H:%i:%s') as beginTime, " +
                    " date_format(end_time, '%Y-%m-%d %H:%i:%s') as endTime, " +
                    " date_format(create_time, '%Y-%m-%d %H:%i:%s') as createTime, " +
                    " date_format(modified_time, '%Y-%m-%d %H:%i:%s') as modifiedTime "
            );
            FROM("collect_truck_leave ");
            WHERE("user_no = #{param.userNo} ");

            ORDER_BY("create_time desc");
        }}.toString();
    }



}
